# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DateTime/Format/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Image/Info.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(PDF/API2.pm) perl(PDF/Table.pm) perl(PDF/TextBlock.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/Warn.pm)
# END SourceDeps(oneline)
%define module_name CtrlO-PDF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: high level PDF creator
Group: Development/Perl
License: perl
URL: https://github.com/ctrlo/CtrlO-PDF/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AB/ABEVERLEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module tries to make it easy to create PDFs by providing a high level
interface to a number of existing PDF modules. It aims to "do the right thing"
by default, allowing minimal coding to create long PDFs. It includes
pagination, headings, paragraph text, images and tables. Although there are a
number of other modules to create PDFs with a high-level interface, I found
that these each lack certain features (e.g. image insertion, paragraph text).
This module tries to include each of those features through another existing
module. Also, it is built on PDF::API2, and provides access to that object, so
content can also be added directly using that, thereby providing any powerful
features required.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt LICENSE
%perl_vendor_privlib/C*

%changelog
* Sat Apr 27 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

